
	varying vec3 normal;


	uniform sampler2D Texture0,Texture1;
	
	void main()
	{


		vec4 color ;










color.rgba    = texture2D(Texture0,gl_TexCoord[0].st).rgba;
color.rgb    *= texture2D(Texture1,gl_TexCoord[1].st).rgb;

color.rgb +=(+normal.x+normal.y)*0.2;






gl_FragColor = color;
	}